Skip to main content
GET
/
api
/
v3
/
admin
/
orders
/
{order_id}
/
payments
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: payments } = await client.orders.payments.list('or_UkLWZg9DAJ')
{
  "data": [
    {
      "id": "py_UkLWZg9DAJ",
      "payment_method_id": "pm_UkLWZg9DAJ",
      "response_code": "BGS-68effea76f43",
      "number": "PA0E91P2",
      "amount": "110.0",
      "display_amount": "$110.00",
      "status": "completed",
      "source_type": "credit_card",
      "source_id": "card_UkLWZg9DAJ",
      "source": {
        "id": "card_UkLWZg9DAJ",
        "brand": "visa",
        "last4": "1111",
        "month": 12,
        "year": 2027,
        "name": "Spree Commerce",
        "default": false,
        "gateway_payment_profile_id": null,
        "customer_id": null,
        "payment_method_id": "pm_gbHJdmfrXB",
        "metadata": {},
        "created_at": "2026-05-21T18:11:16.469Z",
        "updated_at": "2026-05-21T18:11:16.471Z"
      },
      "metadata": {},
      "avs_response": null,
      "cvv_response_code": null,
      "cvv_response_message": null,
      "created_at": "2026-05-21T18:11:16.470Z",
      "updated_at": "2026-05-21T18:11:16.470Z",
      "captured_amount": "0.0",
      "order_id": "or_UkLWZg9DAJ"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

order_id
string
required

Order ID

Query Parameters

expand
string

Comma-separated associations to expand (e.g., payment_method, source). Use dot notation for nested expand (max 4 levels).

fields
string

Comma-separated list of fields to include (e.g., amount,status,number,response_code). id is always included.

Response

200 - application/json

payments found